require_relative 'lib/wpm/version'

Gem::Specification.new do |spec|
  spec.name          = "wpm"
  spec.version       = WPM::VERSION
  spec.authors       = ["sergioro"]
  spec.email         = ["yo@sergioro.com"]

  spec.summary       = %q{Increase your typing speed}
  spec.description   = %q{Increase typing speed and keep track of WPM history}
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 13.0.1"
  spec.add_development_dependency "benchmark-ips", ">= 0"
  spec.add_development_dependency "byebug", "~> 11.0.1"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_development_dependency "minitest-reporters", "~> 1.3.8"

  #spec.add_runtime_dependency "SOME_GEM", "~> VERSION"
end
